Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geomgraph
Class EdgeNodingValidator

    java.lang.Object
      com.vividsolutions.jts.geomgraph.EdgeNodingValidator

    public class EdgeNodingValidator

extends java.lang.Object

Validates that a collection of `Edge`s is correctly noded. Throws an appropriate exception if an noding error is found.

Version:
  1.7

Constructor Summary
`EdgeNodingValidator(java.util.Collection edges)` Creates a new validator for the given collection of `Edge`s.

Method Summary
`void` | `checkValid()` Checks whether the supplied edges are correctly noded.
`static void` | `checkValid(java.util.Collection edges)` Checks whether the supplied `Edge`s are correctly noded.
`static java.util.Collection` | `toSegmentStrings(java.util.Collection edges)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeNodingValidator

    public EdgeNodingValidator(java.util.Collection edges)

  Creates a new validator for the given collection of `Edge`s.

  Parameters:
    `edges` - a collection of Edges.

Method Detail

### checkValid

    public static void checkValid(java.util.Collection edges)

  Checks whether the supplied `Edge`s are correctly noded. Throws a `TopologyException` if they are not.

  Parameters:
    `edges` - a collection of Edges.
  Throws:
    `TopologyException` - if the SegmentStrings are not correctly noded

### toSegmentStrings

    public static java.util.Collection toSegmentStrings(java.util.Collection edges)

### checkValid

    public void checkValid()

  Checks whether the supplied edges are correctly noded. Throws an exception if they are not.

  Throws:
    `TopologyException` - if the SegmentStrings are not correctly noded

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD